## apache2 2.4.1

=== debian/changelog ===
apache2 (2.4.1-1) experimental; urgency=low

  * Package the coming up 2.4 branch of Apache by packaging the current
    GA release 2.4.1.
    + Fix "IndexIgnore only allowes to add in vhost context, not replace"
     (Closes: #296886)
    + Fix "mod_status stats are wrong." (Closes: #519322)
    + Fix "PNG DirectoryIndex icons transparancy messed up" (Closes: #233047)
    + Fix "apache2-common: there should be a possibility to access the
      parsed configuration" (Closes: #350285)
    + Fix "AddOutputFilterByType is deprecated but used in deflate.conf"
      (Closes: #601033)
    + Fixes "Renegotiation on POST request fails intermittently"
      (Closes: #601606)
    + Allows configuring source address for proxy requests. (Closes: #465283)
    + Supports CONNECT request through https. (Closes: #307298)
    + New Upstream (2.4). (Closes: #662115)

  * Refresh patches but leave all hunks unchanged where possible. Give all
  * patches a ".patch" suffix, drop sequence numbers as they are not needed when
  * using quilt. Notable changes are.
    + [AT] 202_suexec-custom: Keep functionality as is, but rewrite smaller
      parts of the patch to build two binaries: suexec-pristine and
      suexec-custom (see below)
    + [AT] 201_build_suexec-custom: Patch the makefile to build
      "suexec-pristine" instead. Aside of that, refresh hunks.
    + [AT] 010_fhs_compliance: Drop config.layout patches. These have been
      applied upstream
    + [JMV] Drop patches:
      + 004_usr_bin_perl_0wnz_j00: printenv exemple doesn't refer to
        /usr/local/bin/perl anymore
      + 008_make_include_safe: Include doesn't support directory anymore.
        Include dir/*.conf must be used.
      + 009_apache2_has_dso: Upstream is no longer testing DSO is available. So
        we don't need to remove that test anymore.
    + [AT] customize_apxs.patch: Aggregate changes from various apxs2 patches,
      drop obsolete hunks

  [ Arno Töll ]

  * Rewrite most parts of debian/rules / debhelper configuration.
    + move cronjob and init script to debhelper configuration files
      (apache2.cron.daily and apache2.init respectively)
    + move man pages to debian/manpages
    + Remove Ubuntu hacks in debian/rules, we expect them to carry Ubuntu
      specifics in their own patch set, as it diverges already anyway.
    + shake-up files installed in different packages
    + Do not copy the source tree anymore, build package in place.
  * Push standards version to 3.9.3 - no special changes required
  * Refactor binary packages, now as things simplified. MPMs are simple
    modules now, they can be bundled into the same binary package which do not
    need to conflict with each other. Thus, Apache now primarily consists of the
    following packages:
    + apache2 - configuration files and init scripts, Debian specific helper
      scripts
    + apache2-bin - binaries and modules
    + apache2-data - error pages and images
  * Drop the ITK MPM entirely for now
  * Consolidate development packages. As MPM packages are gone, we do not need
    specific development packages either. Thus, drop all MPM specific apache2
    development packages and provide a single apache2-dev package instead.
    (Closes: #428095)
  * Drop debian/source/options again: We do not need to ignore .svn directories
    anymore since the new package management system is based on git and includes
    the full source
  * Rework the suexec mechanism. Now there are two suexec packages providing
    alternatives through the update-alternatives mechanism. The untouched
    upstream "suexec" binary is provided by the apache2-suexec-pristine package,
    whereas the configurable suexec can be found in the apache2-suexec-custom
    package. Both are providing the "suexec" binary which are managed by the
    update-alternatives(9) mechanism.
    This change is transparent to users at runtime and does not need any
    configuration changes.
  * Remove obsolete README.source file.
  * Update doc-base metadata for the apache2-doc package
  * Changes in the default configuration (not specific modules):
    + On the head of the apache2.conf configuration file, give a short summary
      how configuration of the Apache web server works in Debian.
    + Drop NameVirtualHost entirely. It is deprecated (Closes: #511594)
    + Remove DefaultType. It is deprecated.
    + Replace Allow/Deny directives in the default configuration by using the
      new Require directive. Load mod_access_compat if you rely on the old
      syntax
    + Replace LockFile by Mutex which consolidates all lock file
      synchronization files among modules
    + Update configuration to use the new IncludeOptional syntax
    + Enable these modules by default: authz_core authz_host alias cgi dir
    + Move MPM specific configuration to their respective configuration files.
      Users can just load and unload MPMs like other modules, enable the worker
      MPM by default
    + Move per-site global configuration from conf.d to conf-available and
      manage it similar to modules and sites. To do so, the new tools
      "a2enconf" and "a2disconf" are provided. Moreover, such configuration
      files need  to have a .conf suffix now. The following configuration
      files are enabled by default: charset localized-error-pages
      other-vhosts-access-log  security.  These were enabled by default
      previously, too (Closes: #620347, Closes: #605227).
      This holds for apache2-doc as well, which is still enabled by default but
      can be disabled easily anytime by using a2disconf (Closes: #604980).
    + Give site configuration a .conf suffix, too. For example the default vhost
      is called default.conf. Moreover, files without .conf suffix are ignored
      upon startup. Please update your site links and confs. Also rename the
      default vhost to 000-default.conf and don't do hacky things in a2enmod
      anymore.
  * Changes in a2enmod:

