=== debian/watch ===
version=3
http://www.apache.org/dist/httpd/httpd-(\d\.[02468].*)\.tar\.gz
