## apache2 2.4.2

=== debian/changelog ===
apache2 (2.4.2-2~bpo70+1+EXPERIMENTAL) wheezy-backports; urgency=low

  * build from EXPERIMENTAL !
  * build/backport to wheezy

 -- Tom Geissler <Tom@d7031.de>  Thu, 31 Jan 2013 13:52:11 +0100

apache2 (2.4.2-2) experimental; urgency=low

  [ Stefan Fritsch ]
  * Explicitly enable mod_authz_core on upgrades. It can happen that it is
    not pulled in by any of the enabled modules, but we need it in any case
    for apache2.conf. Closes: #669876
  * Don't ship the changelogs in the apache2-mpm-itk transitional package.

  [ Arno Töll ]
  * Add mode lines to various configuration files and scripts. Reformat
    configuration files for consitency.
  * Fix "Fix typographic errors in configuration file comments": Thanks to Oxan
    van Leeuwen for providing a patch (Closes: #669269)
  * Formulate several clarifications in PACKAGING, start versioning this document
    and add normative read hints. Moreover, document the -m switch for a2enmod.
  * Merge spelling and grammar fixes provided by Justin B Rye. Much appreciated!
  * Change various state and run directories used by Apache from
    /var/run/<basename> to /var/run/apache2/<basename>. This might change again
    for Wheezy+1 to adopt /run.
  * Use more exit status codes for a2query which allows to tell apart why a
    module was disabled, also make its output more readable.
  * Changes in apache2-maintscript-helper:
    + Finally apache2_invoke may  behave correctly and catch all cases
      including upgrades from Squeeze.
    + apache2_invoke: accepts a third argument to override the rc.d-action now
    + support APACHE2_MAINTSCRIPT_DEBUG: When defined in the environment or in
      /etc/apache2/envvars, debug output is displayed.
  * Implement a -r switch for dh_apache2 which allows to force a reload of the
    web server if required.

 -- Arno Töll <arno@debian.org>  Mon, 28 May 2012 17:36:03 +0200

apache2 (2.4.2-1) experimental; urgency=low

  * New upstream release

  [ Arno Töll ]
  * Drop update-alternative call in postrm. Our prerm script catches them
    already anyway.
  * Update my mail address.
  * Fix "dh_apache2 does not set "x" bits on /usr/lib/apache2/modules/"
    Set directory permissions to 755 by default (Closes: #666875). Thanks Axel
    Beckert for the hint.
  * Add /usr/share/doc/apache2/migrate-sites.pl, a script to assist users to
    give sites a .conf suffix, add a hint to the NEWS file.
  * Do stateful configuration handling by remembering who enabled when a
    particular piece of configuration. That way in can be told under which
    circumstances for example modules should be re-enabled. Thanks to Filip M.
    Nowak who was providing a patch where my changes are built upon.
  * Fix apxs to import LDFLAGS from config_vars.mk. Moreover, make it possible
    to override LDFLAGS at compile time by defining LDLAGS in the environment,
    just like it is possible for CFLAGS. This also means, config_vars.mk now
    exports hardening build flags by default.
  * Provide the virtual packages httpd and httpd-cgi again.


  [ Stefan Fritsch ]
  * Change default config to deny access to / in the file system and only
    allow access to /var/www, /usr/share, and /usr/lib/cgi-bin. Closes: #341022
  * Disable MultiViews in the default config.
  * Update ssl default cipher config, add alternative speed optimized config.
    Closes: #649020
  * Move the configuration of /usr/lib/cgi-bin into a separate config file.
    Closes: #589638
  * Comment out per-vhost loglevel.
  * Add section to security.conf that shows how to forbid access to VCS
    directories. Closes: #548213
  * Change the compiled in default of DocumentRoot to /var/www by updating
    fhs_compliance.patch
  * Re-add mpm_itk (version 2.4.1-pre01). This is still very experimental!

 -- Stefan Fritsch <sf@debian.org>  Sun, 15 Apr 2012 20:50:28 +0200

apache2 (2.4.1-3) experimental; urgency=low

  [ Arno Töll ]
  * apache2-suexec-{custom,pristine}: Fix argument order when removing
    alternatives, do not remove alternatives on upgrades. Thanks Andreas
    Beckmann for spotting the issue (Closes: #665002)
  * Install suexec(8) link to /usr/share/man/man8/...
  * Enable mod_version statically, drop associated module load file.
  * Update PACKAGING hints and cope several questions raised among the
    discussions with packagers. Thus, invokation of apache2-maintscript-helper
    in maintainer scripts are covered now.
  * Changes in dh_apache2:
    + Invoke the maintscript helper postrm action for simple package removals,
      too.
    + Fix a bug which accidentally called "en{mod,site,conf}" instead of
      "di{mod,site,conf}"
    + Set the default conditional back to "true", now the maintainer script is
      expected to cope itself with upgrades correctly
  * Changes in apache2_maintscript_helper
    + Provide apache2_action_needed, apache2_msg
    + Parse maintainer script arguments to find out which script called us
    + Support APACHE2_MAINTSCRIPT_HELPER_QUIET which, when set, omits any
      visible output
    + Break APIs: apache2_invoke accepts a single configuration file argument
      only now. However, other than dh_apache2 no users of this feature were
      known.
  * Build the apache2.2-bin transitional package again, without it updates from
    Squeeze are broken from some use cases
  * Remove 2.2's postrm script only if we're actually upgrading.
    This previously didn't have bad side-effects, but caused a disturbing
    warning.

  [ Stefan Fritsch ]
  * Import lots of bug fixes from upstream svn: All code changes from branch
    2.4.x up to r1307835, plus r1294306 and r1307067 from trunk.
  * CVE-2012-0216: Remove /usr/share/doc alias from default virtual hosts'
    configs.
  * Add 'Multi-Arch: foreign' to apache2-utils
  * Make a2enconf and a2ensite warn if dependencies are not fullfilled.

 -- Stefan Fritsch <sf@debian.org>  Sun, 01 Apr 2012 21:11:51 +0200

apache2 (2.4.1-2) experimental; urgency=low

  [ Arno Töll ]

