=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: httpd
 Priority: optional
 Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
-Uploaders: Stefan Fritsch <sf@debian.org>, Steinar H. Gunderson <sesse@debian.org>, Arno Töll <debian@toell.net>
-#missing dependencies: autoconf
-Build-Depends: debhelper (>= 8.1.0~), lsb-release, dpkg-dev (>= 1.16.1~),
+Uploaders: Stefan Fritsch <sf@debian.org>, Steinar H. Gunderson <sesse@debian.org>, Arno Töll <arno@debian.org>
+Build-Depends: debhelper (>= 8.9.7~), lsb-release, dpkg-dev (>= 1.16.1~),
  libaprutil1-dev (>= 1.4.0), libapr1-dev, libpcre3-dev, zlib1g-dev,
  libssl-dev (>= 0.9.8m), libcap-dev [linux-any], perl,
  liblua5.1-0-dev, libxml2-dev, autotools-dev, gawk | awk
@@ -49,10 +48,10 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 # MODULE_MAGIC_NUMBER_MAJOR from apache2/include/ap_mmn.h
-Provides: ${apache2:API}
+Provides: ${apache2:API}, httpd, httpd-cgi
 Suggests: www-browser, apache2-doc, apache2-suexec-pristine | apache2-suexec-custom
-Replaces: apache2.2-bin, apache2.2-common
-Conflicts: apache2.2-bin, apache2.2-common
+Replaces: apache2.2-bin (<< 2.3~), apache2.2-common
+Conflicts: apache2.2-bin (<< 2.3~), apache2.2-common
 Description: Apache HTTP Server (binary files and modules)
  The Apache Software Foundation's goal is to build a secure, efficient and
  extensible HTTP server as standards-compliant open source software. The
@@ -90,10 +89,29 @@
  This is a transitional package to apache2 for users of apache2-mpm-event and
  can be safely removed after the  installation is complete.
 
-#XXX: apache2-mpm-itk transitional?
+Package: apache2-mpm-itk
+Architecture: any
+Section: oldlibs
+Priority: extra
+Depends: ${misc:Depends}, apache2 (= ${binary:Version})
+Description: transitional itk MPM package for apache2
+ This is a transitional package to apache2 for users of apache2-mpm-itk and
+ can be safely removed after the installation is complete.
+
+Package: apache2.2-bin
+Architecture: any
+Section: oldlibs
+Priority: extra
+#XXX: Add a << version to these once there are fixed versions around
+Breaks: gnome-user-share, mod-dnssd
+Depends: ${misc:Depends}, apache2-bin (>= 2.3~)
+Description: Transitional package for apache2-bin
+ This is a transitional package for apache2-bin, and can be safely removed
+ after the installation is complete.
 
 Package: apache2-utils
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
 Description: Apache HTTP Server (utility programs for web servers)
  Provides some add-on programs useful for any web server.  These include:
@@ -160,13 +178,13 @@
  result has long been the number one web server on the Internet.
  .
  This package provides the documentation for the Apache 2 HTTP server. The
- documentation is shipped in HTML format an can be accessed from a local running
- Apache HTTP server instance or by browsing the file system directly.
+ documentation is shipped in HTML format and can be accessed from a local
+ running Apache HTTP server instance or by browsing the file system directly.
 
 Package: apache2-dev
 Architecture: any
 Depends: ${misc:Depends}, apache2 (= ${binary:Version}), openssl,
- libapr1-dev, libaprutil1-dev, debhelper (>= 7.0.50~), ${perl:Depends}
+ libapr1-dev, libaprutil1-dev, debhelper (>= 9.20120311~), ${perl:Depends}
 Provides: apache2-prefork-dev, apache2-threaded-dev, dh-apache2
 Replaces: apache2-prefork-dev, apache2-threaded-dev
 Conflicts: apache2-prefork-dev, apache2-threaded-dev
